Ads · Conversions
Adjusts uploaded conversions. Works with Google Ads.
POST
https://api.pozy.ai/v1/ads/conversions/adjustmentsGoogle WorkspaceadjustConversions
Guide: Conversions API
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
accountIdstringrequireddestinationIdstringrequiredadjustmentsarray of objectrequiredAt least 1 item. Up to 2000 items.
9 child fields
adjustmentTypestringrequiredOne of
RETRACTION,RESTATEMENT,ENHANCEMENT.adjustmentTimenumberrequiredorderIdstringgclidstringconversionTimenumberrestatementValuenumbercurrencystringuserobject2 child fields
emailstringphonestring
userAgentstring
Example
curl -X POST "https://api.pozy.ai/v1/ads/conversions/adjustments" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"destinationId": "68320031250f5d01a73ce89b",
"adjustments": [
{
"adjustmentType": "RETRACTION",
"adjustmentTime": 12.5
}
]
}'const res = await fetch("https://api.pozy.ai/v1/ads/conversions/adjustments", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
destinationId: "68320031250f5d01a73ce89b",
adjustments: [
{
adjustmentType: "RETRACTION",
adjustmentTime: 12.5
}
]
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/ads/conversions/adjustments",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"destinationId": "68320031250f5d01a73ce89b",
"adjustments": [
{
"adjustmentType": "RETRACTION",
"adjustmentTime": 12.5,
},
],
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
platformstringOne of
googleads.adjustmentsReceivedintegeradjustmentsFailedintegerfailuresarray of objectadjustmentIndexintegermessagestringcodestring or integer
traceIdstring
200 response
{
"platform": "googleads",
"adjustmentsReceived": 1,
"adjustmentsFailed": 1,
"failures": [
{
"adjustmentIndex": 1,
"message": "Hello from Pozy",
"code": "string"
}
],
"traceId": "6aa41aeffa864e6ffa88403d"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Conversions
GETGet Event Match QualityPOSTSend conversion eventsGETList conversion actionsPOSTCreate website conversion actionGETList account conversion goalsPATCHUpdate account conversion goalsPATCHUpdate a conversion action's settingsGETList custom conversion goalsPOSTCreate a custom conversion goalPATCHUpdate a custom conversion goalDELRemove a custom conversion goalGETList stored eventsPOSTSend events to every destinationGETList event destinationsPOSTAdd an event destinationDELRemove an event destinationGETList conversion destinationsPOSTCreate a conversion destinationGETGet a conversion destinationPATCHUpdate a conversion destinationDELDelete a conversion destinationGETList associated campaignsPOSTAssociate campaignsDELRemove associated campaignsGETGet attribution metrics